
//
// Core Program for TETDM 
// PopUpForCharacter.java Version 1.00
// Copyright(C) 2015-2018 TETDM CORE MEMBER ALL RIGHTS RESERVED.
// This program is provided under the license.
//

package source.GameMode;

import source.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.JFrame;

public class PopUpForCharacter extends JFrame
{
	CharacterPanel characterPanel;
	
	
	Container pane = getContentPane();	
		
	PopUpForCharacter(int X, int Y, int width, int height, Control control)
	{
		super("Character");
		pane.setLayout(new BorderLayout());
		
		setBounds(X, Y, width, height);
//		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		
		setAlwaysOnTop(true);
		pane.setBackground(Color.white);
//		setUndecorated(true);
		
		characterPanel = new CharacterPanel(control, this);
		
		
		this.addWindowListener(new MyWindowListener());
		pane.add(characterPanel);
		
		setVisible(true);
	}
	
    public void closeAllWindows()
    {
        characterPanel.closePopForCharacter2();
    }
    
	class MyWindowListener extends WindowAdapter {
		public void windowClosing(WindowEvent e) 
		{
			//System.out.println("windowClosing");
			
			characterPanel.closeWindow();
            characterPanel.closePopForCharacter2();
		}
	}
}
